-- DRragDrop from field to field

-- Interface builder assignement --
-- Field name input "Drag" 
-- Field name output "Drop" 

on awake from nib theObject
	tell theObject to register drag types {"string"} -- For all field
	set the contents of text field "Drag" of window 1 to "Drag me" as string
end awake from nib

on drag theObject drag info dragInfo
	if the name of theObject is "Drag" then
		tell theObject to register drag types {"string"}
		set the pastboard to the contents of theObject
	end if
end drag


on drop theObject drag info dragInfo
	if the name of theObject is "Drop" then
		if "string" is in types of pasteboard of dragInfo then
			-- Set the contents of the text field to the contents of the pasteboard
			set string value of theObject to contents of pasteboard of dragInfo
			return true
		end if
	end if
end drop

on conclude drop theObject drag info dragInfo
	log "on drop done"
	(* We need to have this handler do nothing to keep the text field from doing it's own drop. This is true for text view's as well. If you want to let the text field or text view do the actual drop you can remove the "conclude drop" event handler and then not do anything in the "drop" event handler. *)
end conclude drop


